[Solved] Error when installing OpenOffice4

Issues with installing under all Linux Distributions

[Solved] Error when installing OpenOffice4

Postby Suvarna » Mon Sep 23, 2013 8:34 am

Hiii......

I am a linux user. I have download Apache openoffice4 64 bits. Extract it as installation sites suggest. When i open cmd prompt & give command openoffice4 error came.....

/usr/bin/openoffice4: line 22: /opt/openoffice4/program/soffice: No such file or directory

/usr/bin/openoffice4: line 22: exec: /opt/openoffice4/program/soffice: cannot execute: No such file or directory


How can i fix this error?

Thanks.
Last edited by Hagar Delest on Tue Nov 19, 2013 9:10 am, edited 2 times in total.
Reason: tagged [Solved].
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing openoffice4

Postby RoryOF » Mon Sep 23, 2013 9:05 am

The command line "openoffice4" (no quotes) will take you to the main OpenOffice screen. A more detailed command line
"openoffice4 -writer" will take you to the writer component.

Use the Main Menu selector of Ubuntu to investigate the syntax for the shortcuts in the Office group.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29869
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Error when installing openoffice4

Postby Suvarna » Mon Sep 23, 2013 9:22 am

Thanks for rpy but i m getting error which i have mentioned in the earlier post.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing openoffice4

Postby RoryOF » Mon Sep 23, 2013 10:34 am

Look yourself to see if there is swriter in directory /opt/openoffice4/program/

If not, I think you may have a bad installation and should redo it.

Does OpenOffice and its components show up on the Office group? If so, does it run correctly from those links?

What version of linux are you running?
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29869
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Error when installing openoffice4

Postby Suvarna » Mon Sep 23, 2013 11:44 am

ya. there is no openofice4 in /opt.

openoffice components shows link broken.

I am using CentOs 6.4.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing openoffice4

Postby Suvarna » Mon Sep 23, 2013 3:42 pm

Hey.... after restart my pc /opt/openoffice exists.

But noe geeting new errors

1./opt/openoffice4/program/soffice: /opt/openoffice4/program/pagein: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

2./opt/openoffice4/program/soffice: /opt/openoffice4/program/javaldx: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

3./opt/openoffice4/program/soffice: /opt/openoffice4/program/soffice.bin: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory


what does these errors wants to tell?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing openoffice4

Postby Hagar Delest » Mon Sep 23, 2013 9:21 pm

What Linux distro exactly? You should add this information in your signature.

Your distro certainly has a package manager or best, you can install with command line. But we need to know what the distro is.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing openoffice4

Postby Suvarna » Tue Sep 24, 2013 10:42 am

I m using CentOs 6.4.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing openoffice4

Postby Hagar Delest » Tue Sep 24, 2013 11:28 am

Perhaps this query will help.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Tue Sep 24, 2013 12:16 pm

Thanks,

Will you please explain little more.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby RoryOF » Tue Sep 24, 2013 5:17 pm

I'm on a very uncertain broadband connection so have to be brief. I think your problem arises because you are using a Release Candidate for AOO 4.0.1: I had the same problem yesterday on Xubuntu 13.04 and cured it by reinstalling AOO 4.0.0

 Edit: Would some other vlunteer please try one of the Release Candidates on Linux and see if the same problem crops up. If it does, please report it to the dev list with a pointer to this thread. 
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29869
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Error when installing OpenOffice4

Postby Hagar Delest » Tue Sep 24, 2013 8:58 pm

I've corrected my link that was disabled.
I'm using AOO 4.0.1 RC1 since some last week at least and it worked fine at install on xubuntu.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby RoryOF » Tue Sep 24, 2013 9:20 pm

My version was AOO 4.0.2 AOO 4.0.1-5. I'm Downloading RC3 as I write this, but the connection is very iffy.

 Edit: Still no improvement with RC3. Version that works fo me is 4.0.0.2. Will try better diagnostics when back home next week. 
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29869
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Error when installing OpenOffice4

Postby Suvarna » Wed Sep 25, 2013 12:47 pm

what openoffice version is suitable for CentOs 6.4 64 bits? At present i m using 4.0.0 version.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Wed Sep 25, 2013 8:47 pm

4.0.1 is still in Release Candidate status. You can try them. Else, 4.0.0 should install without any problem.
Have you used the RPMs and your package manager?
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Thu Sep 26, 2013 12:37 pm

Yes i have used RPM. I have downloaded tar package after extract it converted into rpm.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Thu Sep 26, 2013 3:01 pm

And is there any problem when you install the RPMs? Did you notice any error message?
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Thu Sep 26, 2013 3:25 pm

yes. There is no openoffice.org.4.0-redhat-*.rpm in desktop integration. Installation sites suggested that execute following RPM command to install all the RPM

packages at once.

rpm -Uvh RPMS/*.rpm RPMS/desktop-integration/openoffice.org4.0-redhat-*.rpm
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Thu Sep 26, 2013 9:36 pm

Is there a freedesktop-menus package? If so, try to install it instead of the redhat one.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Fri Sep 27, 2013 7:36 am

Yes there is freedesktop-menus package. I have installed rpm in freedesktop-menus.

After that office icon appeared in desktop application. When i tried to open office from cmd prompt it gave the following errors:-

1./opt/openoffice4/program/soffice: /opt/openoffice4/program/pagein: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

2./opt/openoffice4/program/soffice: /opt/openoffice4/program/javaldx: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

3./opt/openoffice4/program/soffice: /opt/openoffice4/program/soffice.bin: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Fri Sep 27, 2013 7:53 am

At least we are making some progress...
There are many topics with similar error messages. See perhaps this one: [Solved] AOO3.4 bad interpreter problem.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Fri Sep 27, 2013 2:20 pm

Hey... I have downloaded ld-linux.so.2 and installed it thn after i got a new library file missing that is libXext and lib freetype.

I download it and installed it sucessfully.At last i got 2 ERROR javaldx: Could not find a Java Runtime Environment!

no suitable windowing system found, exiting.

how to slove this?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Suvarna » Fri Sep 27, 2013 2:39 pm

As my java -version is 1.7.0_25,
As i googled ths and i got java 1.6 or older supports openoffice 3.3 only.I want to know which version of java supports by openoffice 4.0?
Is there any problem to use java 1.7 on openoffice 4.0 and 3.4?
Is there any Kernel issue on installing open office 4.0?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Fri Sep 27, 2013 10:21 pm

I also use the 1.7.0_25 version of Java from Oracle (installed manually). It's compatible with AOO 4 (this is what I use).
No kernel issue AFAIK.

Have you tried the forum of your distro? Perhaps there is something special to be done. It's strange that some of the libraries are missing.
Are you sure that you've installed all the RPMs (those in the /RPM folder of the tar)?
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Mon Sep 30, 2013 7:13 am

I have also installed java manually.

Yes, i am sure that i have installed all the RPMS. Is there any classpath releated issue for error javaldx: Could not find a Java Runtime Environment!
How can i solve this?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Hagar Delest » Mon Sep 30, 2013 8:33 am

See if this query helps.
AOO 4.1.7 on Xubuntu 19.10 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28622
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Error when installing OpenOffice4

Postby Suvarna » Mon Sep 30, 2013 12:01 pm

I have installed JDK. How can i add JRE in it?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby RoryOF » Mon Sep 30, 2013 7:23 pm

As far as I can determine the stated problem occurs with 64 bit linux, not with 32 bit linux. I've just installed AOO 4.0.1 on a 32 bit Xubuntu and it runs without difficulty, whereas the Release Candidate for AOO 4.0.failed on 64 bit Xubuntu as I posted eariier in this thread. I'll try the final release of 4.0.1 on 64 bit Xubuntu, but it won't be immediate, due to real-life pressures. This (or a similar) problem on 64 bit linux is being probed by the deveolpers.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29869
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Error when installing OpenOffice4

Postby Suvarna » Mon Oct 07, 2013 10:04 am

I will also try to install AOO 4.0.1 on 64 bit CentOs. Please shear your exprience with me.
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Re: Error when installing OpenOffice4

Postby Suvarna » Wed Oct 09, 2013 11:45 am

I have installed AOO4.0.1. still getting the same error
javaldx: Could not find a Java Runtime Environment! & no suitable windowing system found, exiting.

Is javaldx error saying there is no jre installed on my pc?
open office 4.0.0
Suvarna
 
Posts: 18
Joined: Mon Sep 23, 2013 8:23 am

Next

Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests